Compare commits

...

No commits in common. "c10s" and "c8" have entirely different histories.
c10s ... c8

11 changed files with 84 additions and 202 deletions

View File

@ -1 +0,0 @@
1

8
.gitignore vendored
View File

@ -1,7 +1 @@
/requests-oauthlib-0.4.0.tar.gz
/requests-oauthlib-0.5.0.tar.gz
/v0.8.0.tar.gz
/v1.0.0.tar.gz
/v1.2.0.tar.gz
/v1.3.0.tar.gz
/v1.3.1.tar.gz
SOURCES/v1.0.0.tar.gz

View File

@ -0,0 +1 @@
a0164a7013283b6738258f703c01df8a6fbcb01e SOURCES/v1.0.0.tar.gz

View File

@ -1,14 +1,32 @@
# RHEL does not include the test dependencies
%bcond tests %{undefined rhel}
%if (0%{?fedora} > 0 && 0%{?fedora} < 32) || (0%{?rhel} > 0 && 0%{?rhel} <= 7)
%bcond_without python2
%bcond_without python3
%endif
%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_with python2
%bcond_without python3
%endif
%if 0%{?el6}%{?el7}
# python3 and python version related macros
# required to build python3- subpackage
# are not available in el6 and el7
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
%{!?py2_build: %global py2_build %{__python2} setup.py build --executable="%{__python2} -s" %{?*}}
%{!?py2_install: %global py2_install %{__python2} setup.py install --skip-build --root %{buildroot} %{?*}}
%endif
%global distname requests-oauthlib
%global modname requests_oauthlib
Name: python-requests-oauthlib
Version: 1.3.1
Release: 11%{?dist}
Version: 1.0.0
Release: 1%{?dist}
Summary: OAuthlib authentication support for Requests.
Group: Development/Libraries
License: ISC
URL: http://pypi.python.org/pypi/requests-oauthlib
Source0: https://github.com/requests/requests-oauthlib/archive/v%{version}.tar.gz
@ -18,9 +36,37 @@ BuildArch: noarch
%description
This project provides first-class OAuth library support for python-request.
%if %{with python2}
%package -n python2-%{distname}
%if 0%{?python_provide:1}
%python_provide python2-%{distname}
%else
Provides: python-%{distname} = %{?epoch:%{epoch}:}%{version}-%{release}
%endif
Summary: OAuthlib authentication support for Requests.
Group: Development/Libraries
BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-oauthlib >= 0.6.2
BuildRequires: python2-requests >= 2.0.0
BuildRequires: python2-mock
Requires: python2-oauthlib
Requires: python2-requests >= 2.0.0
%description -n python2-%{distname}
This project provides first-class OAuth library support for python-request.
%endif # with python2
%if %{with python3}
%package -n python3-%{distname}
%{?python_provide:%python_provide python3-%{distname}}
Summary: OAuthlib authentication support for Requests.
Group: Development/Libraries
BuildRequires: python3-devel
BuildRequires: python3-setuptools
@ -28,134 +74,68 @@ BuildRequires: python3-setuptools
BuildRequires: python3-oauthlib >= 0.6.2
BuildRequires: python3-requests >= 2.0.0
%if %{with tests}
BuildRequires: python3-pytest
BuildRequires: python3-pytest-mock
BuildRequires: python3-requests-mock
%endif
BuildRequires: python3-mock
Requires: python3-oauthlib
Requires: python3-requests
%description -n python3-%{distname}
This project provides first-class OAuth library support for python-request.
%endif
%prep
%autosetup -n %{distname}-%{version} -p1
%autosetup -n %{distname}-%{version}
# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info
%build
%if %{with python2}
%py2_build
%endif # with python2
%if %{with python3}
%py3_build
%install
%py3_install
%check
%if %{with tests}
%pytest -k "not testCanPostBinaryData and not test_content_type_override and not test_url_is_native_str"
%else
%py3_check_import %{modname}
%endif
%install
%if %{with python2}
%py2_install
%endif # with python2
%if %{with python3}
%py3_install
%endif
# Upstream doesn't actually ship the tests with the tarball.
# https://github.com/requests/requests-oauthlib/pull/91
#%%check
#%%{__python2} setup.py test
%if %{with python2}
%files -n python2-%{distname}
%doc README.rst HISTORY.rst requirements.txt AUTHORS.rst
%license LICENSE
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*
%endif # with python2
%if %{with python3}
%files -n python3-%{distname}
%doc README.rst HISTORY.rst requirements.txt AUTHORS.rst
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}*
%endif
%changelog
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 1.3.1-11
- Bump release for October 2024 mass rebuild:
Resolves: RHEL-64018
* Fri Aug 16 2024 Tomas Halman <thalman@redhat.com> - 1.3.1-10
- Add gating configuration
* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 1.3.1-9
- Bump release for June 2024 mass rebuild
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.3.1-5
- Rebuilt for Python 3.12
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.3.1-2
- Rebuilt for Python 3.11
* Sun May 29 2022 Kevin Fenzi <kevin@scrye.com> - 1.3.1-1
- Update to 1.3.1. Fixes rhbz#2048147
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.0-10
- Rebuilt for Python 3.10
* Mon Feb 8 2021 Jakub Hrozek <jhrozek@redhat.com> - 1.3.0-9
- Drop python2 support
- actually run unit tests
- drop unused python3-mock dependency
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Sun Sep 27 2020 Kevin Fenzi <kevin@scrye.com> - 1.3.0-7
- Update to 1.3.0. Fixes bug #1769415
* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-6
- Rebuilt for Python 3.9
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)
* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.2.0-3
- Rebuilt for Python 3.8
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Sat Jun 29 2019 Kevin Fenzi <kevin@scrye.com> - 1.2.0-1
- Update to 1.2.0. Fixes bug #1697439
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Mon Jul 30 2018 <jdennis@redhat.com> - 1.0.0-1
- upgrade to new upstream release 1.0.0
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Tue Jul 10 2018 <jdennis@redhat.com> - 0.8.0-6
- Unify Fedora/RHEL py2/py3 logic
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.0-5
- Rebuilt for Python 3.7
* Wed May 16 2018 Charalampos Stratakis <cstratak@redhat.com> - 0.8.0-5
- Conditionalize the python2 subpackage
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

View File

@ -1,6 +0,0 @@
--- !Policy
product_versions:
- rhel-10
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

View File

@ -1,8 +0,0 @@
summary: Run gating tests
discover:
how: fmf
dist-git-source: true
dist-git-type: centos
execute:
how: tmt

View File

@ -1 +0,0 @@
SHA512 (v1.3.1.tar.gz) = 86fe34d39ad7224fd44a1b0c4fbf3784032239b894ae73ba65043941cde9675c2f8abedf44ccc00b5fb1648b8e261de258464b311f3ace6392ab6202fb50aa08

View File

@ -1,6 +0,0 @@
summary: Run python-oauthlib upstream tests
require:
- httpd
- python-requests-oauthlib
test: ./oauthtests.sh
duration: 30m

View File

@ -1,48 +0,0 @@
#!/bin/bash -x
PKG="python-requests-oauthlib"
die () {
echo "$1" >&2
exit 1
}
#
# install dependencies (pytest & blinker)
#
rm -rf venv
python3 -m venv --system-site-packages --symlinks venv
. venv/bin/activate
pip install -r requirements-tests.txt
PKG="python-requests-oauthlib"
# If source not found, download it with dnf
if [ ! -d ./source ]; then
# Extract source from srpm
echo "## source directory not found. attempting to download via rpm"
dnf download --source ${PKG} && \
rpm2cpio ${PKG}*.rpm|cpio -id && \
mkdir source && \
TARBALL="v$(rpm -q --qf="%{version}" -p ${PKG}*.rpm).tar.gz"
tar -zxf ${TARBALL} -C source --strip-components=1
if [ $? != 0 ]; then
echo "Failed to download upstream tests"
exit 1
fi
fi
# rename source code directory to be sure that we are
# testing files from our rpm
cd source || die "Missing source directory!"
#
# run upstream tests, skip jwt tests
#
pytest -p no:warnings -k "not testCanPostBinaryData and not test_content_type_override and not test_url_is_native_str"| tee oauthlib.log
RESULT=${PIPESTATUS[0]}
#
# cleanup
#
exit $RESULT

View File

@ -1,6 +0,0 @@
pytest==7.2
requests==2.26.0
oauthlib[signedtoken]==3.1.1
coveralls==3.2.0
mock==4.0.3
requests-mock==1.9.3

View File

@ -1,17 +0,0 @@
---
- hosts: localhost
roles:
- role: standard-test-source
tags:
- always
- role: standard-test-basic
tags:
- classic
required_packages:
- python3-requests-oauthlib
tests:
- requests-oauthlib:
dir: .
run: ./oauthtests.sh
save-files: ["source/*.log"]